cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adam Holmberg (Jira)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-16330) Fix failing upgrade dtest test_basic_paging - upgrade_tests.paging_test.TestPagingDataNodes
Date Wed, 23 Dec 2020 18:40:00 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-16330?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17254190#comment-17254190
] 

Adam Holmberg commented on CASSANDRA-16330:
-------------------------------------------

{{upgrade_version_string}} was finding a version format that is not handled: {{clone:<path
to repo}}.

I changed it to use the version family from upgrade version metadata, and created a new utility
method to consolidate logic around that.

[patch|https://github.com/aholmberg/cassandra-dtest/pull/3]
[ci|https://app.circleci.com/pipelines/github/aholmberg/cassandra?branch=CASSANDRA-16330]

> Fix failing upgrade dtest test_basic_paging - upgrade_tests.paging_test.TestPagingDataNodes
> -------------------------------------------------------------------------------------------
>
>                 Key: CASSANDRA-16330
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-16330
>             Project: Cassandra
>          Issue Type: Improvement
>          Components: CI, Test/dtest/python
>            Reporter: David Capwell
>            Assignee: Adam Holmberg
>            Priority: Normal
>             Fix For: 4.0-beta
>
>
> test_basic_paging - upgrade_tests.paging_test.TestPagingDataNodes
> upgrade_tests/paging_test.py
> https://app.circleci.com/pipelines/github/dcapwell/cassandra/843/workflows/9545f259-0a61-4ba8-8dea-485a33136032/jobs/4964
> {code}
>         #4.0 doesn't support compact storage
> >       if version_string == 'trunk' or version_string >= MAJOR_VERSION_4:
> upgrade_tests/paging_test.py:476: 
> {code}
> {code}
> self = LooseVersion ('4.0')
> other = LooseVersion ('clone:/home/cassandra/cassandra')
>     def _cmp (self, other):
>         if isinstance(other, str):
>             other = LooseVersion(other)
>     
>         if self.version == other.version:
>             return 0
> >       if self.version < other.version:
> E       TypeError: '<' not supported between instances of 'int' and 'str'
> {code}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cassandra.apache.org
For additional commands, e-mail: commits-help@cassandra.apache.org


Mime
View raw message